非推奨を解除
curl --request POST \
--url https://api.example.com/v1/data-apps/{app_id}/undeprecateimport requests
url = "https://api.example.com/v1/data-apps/{app_id}/undeprecate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/data-apps/{app_id}/undeprecate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/data-apps/{app_id}/undeprecate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/data-apps/{app_id}/undeprecate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/data-apps/{app_id}/undeprecate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/data-apps/{app_id}/undeprecate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"app_name": "<string>",
"namespace": "<string>",
"version": "<string>",
"status": "<string>",
"missing_secrets": [
"<string>"
]
}公開
非推奨を解除
非推奨マークを消し、ステータスを以前の軌道へ戻す。
POST
/
v1
/
data-apps
/
{app_id}
/
undeprecate
非推奨を解除
curl --request POST \
--url https://api.example.com/v1/data-apps/{app_id}/undeprecateimport requests
url = "https://api.example.com/v1/data-apps/{app_id}/undeprecate"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/data-apps/{app_id}/undeprecate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/data-apps/{app_id}/undeprecate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/data-apps/{app_id}/undeprecate"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/data-apps/{app_id}/undeprecate")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/data-apps/{app_id}/undeprecate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"app_name": "<string>",
"namespace": "<string>",
"version": "<string>",
"status": "<string>",
"missing_secrets": [
"<string>"
]
}POST https://api-datahub.octoparse.com/v1/data-apps/{app_id}/undeprecate
認証:APIキー必須(Authorization: Bearer <API Key>)。App 作者のみ。他者は 404。
非推奨解除(冪等):マークを消す。導出ステータスは以前の軌道へ — Release があれば published(可視範囲で市場復帰)、なければ draft。
版レベル yank/unyank と同型: 非推奨は識別子マークであり物理状態ではない。復元は可視性やメンテナンススイッチを触らない。作者が先に付けた運用トグルはそのまま。
リクエスト
パスパラメータ
string
必須
App の参照。
リクエスト例
curl -X POST \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
"https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/undeprecate"
レスポンス
200 成功
{
"data": {
"app_name": "string",
"namespace": "string",
"version": "",
"status": "string",
"missing_secrets": [
"string"
]
}
}
data に包まれます。フィールド:
string
必須
—
string
—
string
—
string
必須
復元後の導出ステータス。
string[]
—
エラー
| HTTP | code | category | 説明 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API キー欠落または無効。 |
{"error": {code, category, message, retryable}} です。エラー を参照。